{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
{% endblock %}

{% block content %}

  <div class="ui raised segment">
    <div class="ui breadcrumb" style="margin: 2%">
      <a href="{{path('homepage')}}"class="section">Home</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('user_ristoranti_lista')}}" class="section">Ristoranti</a>
      <i class="right angle icon divider"></i>
      <div class="active section">{{ristorante.nome}}</div>
    </div>
  </div>

  <div class="ui internally celled grid">
    <div class="row">
      <div class="one wide column">
        <a id="sidebar-icon" class="view-ui item top left" style="cursor: pointer">
          <i class="sidebar icon"></i>
        </a>
      </div>
      <div class="twelve wide column">
        <h2 class="ui header">{{ristorante.nome}}</h2>
      </div>
    </div>
  </div>

  <div class="ui divider"></div>

  {% set found = false %}

  {% for giorno in ristorante.giorniApertura %}
    {% if giorno.giorno == "now"|date("d/m/Y") %}
      {% set found = true %}
      <div class="ui icon positive message">
        <i class="check circle icon"></i>
        <div class="content">
          <div class="header">
            Oggi il ristorante sarà <strong>aperto!</strong><br/>
          </div>
          <div class="ui divider"></div>
          {% if giorno.orarioAperturaPranzo != null %}
            - <strong>Orario pranzo:</strong> dalle ore <strong>{{giorno.orarioAperturaPranzo|date("H:i")}}</strong> fino alle ore <strong>{{giorno.orarioChiusuraPranzo|date("H:i")}}</strong>.<br />
          {% endif %}
          {% if giorno.orarioAperturaCena != null %}
            - <strong>Orario cena:</strong> dalle ore <strong>{{giorno.orarioAperturaCena|date("H:i")}}</strong> fino alle ore <strong>{{giorno.orarioChiusuraCena|date("H:i")}}</strong>.
          {% endif %}
        </div>
      </div>
    {% endif %}
  {% endfor %}

  {% if ristorante.recensioni|length != 0 %}

  <div class="ui divider"></div>
  
    <h2 class="ui center aligned icon header" style="margin-bottom: 3%">
      <i class="circular comments icon"></i>
      Cosa dicono di noi
    </h2>
  {% endif %}

  {% if found == false %}
    <div class="ui icon negative message">
      <i class="remove circle icon"></i>
      <div class="content">
        <div class="header">
          Oggi il ristorante rimarrà chiuso!
        </div>
      </div>
    </div>
  {% endif %}

  <div class="ui container">
    <div class="ui relaxed divided list">
      {% for recensione in ristorante.recensioni %}
        <div class="item" style="padding-top: 1.5%; padding-bottom: 1.5%">
          <i class="big tripadvisor middle aligned icon"></i>
          <div class="content">
            <a class="header" style="cursor: default; font-size: 21px; display: inline">
              <em>"{{recensione.titolo}}"</em>
            </a>
            <div class="ui huge star rating voto-recensione" data-rating="{{recensione.voto}}" data-max-rating="5" style="display: inline"></div>
            <div class="description" style="font-size: 16px; margin-top: 1%">
              {{recensione.testo}}
            </div>
          </div>
          <p style="float: right; font-size: 20px"><em>{{recensione.ordine.cliente.user.username}}</em></p>
        </div>
      {% endfor %}
    </div>
  </div>


  {% block javascripts %}
  {% endblock %}

{% endblock %}
